package rekisteri;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author idamk
 * @version 16.2.2023
 *
 */
public class RalliMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            
            //BorderPane root = (BorderPane)FXMLLoader.load(getClass().getResource("tarkastele.fxml"));
            
            final FXMLLoader ldr = new FXMLLoader(getClass().getResource("tarkastele.fxml"));   //määritellään mistä aloitetaan ja ladataan
            final Pane root = (Pane)ldr.load();
            final RalliGUIController ralliCtrl = (RalliGUIController)ldr.getController();       //ladataan kontrolleri
            
            final Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("ralli.css").toExternalForm());   //.css määrittely
            primaryStage.setScene(scene);
            primaryStage.setTitle("Ralli");
            
            primaryStage.setOnCloseRequest((event) -> {
                if ( !ralliCtrl.voikoSulkea() ) event.consume();
            });
            
            primaryStage.show();
            if ( !ralliCtrl.avaa() ) Platform.exit(); 
            } catch(Exception e) {
            e.printStackTrace();
            }
    }
    



    /**
     * @param args Ei kaytossa
     */
    public static void main(String[] args) {
        launch(args);
    }
}